DROP TABLE IF EXISTS Inventario;


CREATE TABLE Inventario(
  Familia  char(30),
  Codigo char(30),
  Designacao char(40),
  Unidade char(20),
  Qtd  double,
  Custo double,
  Valor  double,
  Custo2 double
  );
# Primary key (idx));

#CREATE INDEX Inventario01 ON Inventario(codigo);

INSERT into Inventario 
  (Familia,Codigo,Designacao,Unidade,Qtd,Custo,Valor,Custo2)
Select
  a2.familia as Familia,
  a1.codigo as 'Codigo',
  a2.designacao_1 as 'Designacao',
#  a2.codigo2 as 'Etiqueta',
  unidade as 'Unid.Med.',
  a1.qtd as 'Qtd',
  a2.ultimo_custo as 'Custo',
  a1.qtd*  a2.ultimo_custo as Valor ,
  a2.ultimo_custo as 'Custo'
from tmp2  as a1
  left join artigos as a2
  on a1.codigo=a2.codigo
where
  length(designacao_1)>0
  AND a1.qtd>0
order by a1.codigo 
;

Select
 Familia,Codigo,Designacao,Unidade,Qtd,Custo,Valor
from INVENTARIO
where
  length(designacao)>0
  AND Qtd>0
order by codigo 
;

